<!DOCTYPE html>
<html>
<head>
	<title>Species Detector</title>
	<link href='https://fonts.googleapis.com/css?family=K2D' rel='stylesheet'>
	<style type="text/css">
		body{
		  font: normal 1em/1.5 'K2D';
		  background-color: #3a3d4a;
		  color: #fff;
		}

		strong{
		  color: #58ba83;
		}
		.transition{
		  transition: all .3s ease-out;
		}
		.heading{
		  text-align: center;
		  font-size:2em;
		  
		}
		
		input[type="radio"]{
		  visibility: hidden;
		  height: 0;
		  width: 0;
		}
		.container{
			padding: 70px 0;
  			text-align: center;
		}
		label, input[type="submit"] {
		  display: inline;
		  vertical-align: middle;
		  text-align: center;
		  cursor: pointer;
		  background-color: #454545;
		  color: white;
		  padding: 15px 20px;
		  border-radius: 3px;
		  .transition;
		  width: 150px;
		}
		input[type="submit"] {
			font-size: 1em;
			font-family: 'K2D';
		}
		label:hover, label:focus{
			background: #34495E;
		  	color: #39D2B4;
		}
		input[type="radio"]:checked + label{
		  background-color: #58ba83;
		}
		.js .input-file-trigger {
		  background: #58ba83;
		  color: #fff;
		}
		.js .input-file {
		   position: absolute;
		  top: 0; left: 0;
		  width: 225px;
		  opacity: 0;
		  padding: 14px 0;
		  cursor: pointer;
		}
		.js .input-file:hover + .input-file-trigger,
		.js .input-file:focus + .input-file-trigger,
		.js .input-file-trigger:hover,
		.js .input-file-trigger:focus {
		  background: #34495E;
		  color: #39D2B4;
		}
		.file-return {
		  margin: 0;
		}
		.file-return:not(:empty) {
		  margin: 1em 0;
		}
		.js .file-return {
		  font-style: italic;
		  font-size: .9em;
		  font-weight: bold;
		}
		.js .file-return:not(:empty):before {
		  content: "Selected file: ";
		  font-style: normal;
		  font-weight: normal;
		}

		form{
			text-align: center;
			vertical-align: middle;
		}
		input[type=text] {
		  width: 300px;
		  padding: 12px 20px;
		  margin: 8px 0;
		  box-sizing: border-box;
		  border: 3px solid #ccc;
		  border-radius: 4px;
		  outline: none;
		  line-height: 15px;
		}
		.error{
			color: red;
		}
		.footer {
		   position: fixed;
		   left: 0;
		   bottom: 0;
		   width: 100%;
		   background-color: grey;
		   opacity: 0.6;
		   color: white;
		   text-align: center;
		}
	</style>
</head>
<body>

	<div class="heading">	
		Species Detector
	</div>
	<p style="text-align: center;">
		This is a web application to predict the species of animals and birds.
		<br>
		You can upload a single file, a folder or a URL to the image.
		<br>
		To see the list of species that can be determined by this website click <a href="/species" style="color: #4286f4;">here.</a>
	</p>

	<div class="container">

		<form method="POST" action="/prediction" enctype="multipart/form-data">
			<input type="radio" name="file_type" id="file" value="file" onclick="javascript:File()" checked />
			<label for="file">File Upload</label>

			<input type="radio" name="file_type" id="folder" value="folder" onclick="javascript:File()" />
			<label for="folder">Folder Upload</label>

	   		<input type="radio" name="file_type" id="link" value="link" onclick="javascript:File()" />
	 		<label for="link">File URL</label>

	 		<br><br><br>

	 		<input type="radio" name="species" id="animal" value="animal" checked />
	 		<label for="animal">Animal</label>
	  
	 		<input type="radio" name="species" id="bird" value="bird" />
	 		<label for="bird">Bird</label>
	  		
	  		<br><br><br>

	  		<div class="input-file-container">  
    			<input class="input-file" id="filePicker" type="file" name="file">
    			<label tabindex="0" for="filePicker" class="input-file-trigger" id="upload_label">Select a file...</label>
    		</div>
    		<p class="file-return"></p>

    		<br><br>
    		<input class="submit" type="submit" value="Submit">
    		<p class="error">{% if label %} {{ label }} {% endif %}</p>
 		</form>

 		<p class="footer">
 			The Flask/Python code for this website can be found on <a href="https://gitlab.com/smit.kiri/species-detector/" style="color: $#fff;">Gitlab</a>
 		</p>
	</div>

	<script type="text/javascript">
		document.querySelector("html").classList.add('js');

		var fileInput  = document.querySelector( ".input-file" ),  
		    button     = document.querySelector( ".input-file-trigger" ),
		    the_return = document.querySelector(".file-return");
		      
		button.addEventListener( "keydown", function( event ) {  
		    if ( event.keyCode == 13 || event.keyCode == 32 ) {  
		        fileInput.focus();  
		    }  
		});
		button.addEventListener( "click", function( event ) {
		   fileInput.focus();
		   return false;
		});  
		fileInput.addEventListener( "change", function( event ) {  
		    if(document.getElementById('file').checked) {
			    f = this.value;
			    f = f.replace(/.*[\/\\]/, '');
			    the_return.innerHTML = f;
			}
			if(document.getElementById('folder').checked) {
				var inp = document.getElementById('filePicker');
				the_return.innerHTML = inp.files.length + ' files selected';
			}
		});

		function File(){
			if (document.getElementById('file').checked){
				document.getElementById('filePicker').type = 'file';
				document.getElementById('filePicker').removeAttribute("webkitdirectory");
				document.getElementById('filePicker').removeAttribute("directory");
				document.getElementById('upload_label').innerHTML = 'Select a file...';
				document.getElementById('filePicker').setAttribute('class', 'input-file')
				document.getElementById('upload_label').style.visibility = 'visible';
				document.getElementById('upload_label').style.height = '150px';
				document.getElementById('file-return').innerHTML = ' ';
			}
			if (document.getElementById('folder').checked) {
				document.getElementById('filePicker').setAttribute("webkitdirectory","");
				document.getElementById('filePicker').setAttribute("directory","");
				document.getElementById('upload_label').innerHTML = 'Select a folder...';
				document.getElementById('filePicker').setAttribute('class', 'input-file')
				document.getElementById('upload_label').style.visibility = 'visible';
				document.getElementById('upload_label').style.height = '150px';
				document.getElementById('file-return').innerHTML = ' ';
			}
			if (document.getElementById('link').checked) {
				document.getElementById('filePicker').type = 'text';
				document.getElementById('upload_label').style.visibility = 'hidden';
				document.getElementById('filePicker').setAttribute('placeholder', 'Enter file link');
				document.getElementById('filePicker').removeAttribute("webkitdirectory");
				document.getElementById('filePicker').removeAttribute("directory");
				document.getElementById('filePicker').removeAttribute("class");
				document.getElementById('upload_label').style.height = '0px';
				document.getElementById('upload_label').innerHTML = '';
				document.getElementById('file-return').innerHTML = ' ';
			}
		}

	</script>

</body>
</html>